## Script (Python) "annulate_translation"
##title=Annulate translation
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##
request = context.REQUEST
from Products.CMFPlone.utils import base_hasattr

context_id = context.getId()

first_translation = not context.hasBeenRenamed()

if first_translation:
    # if first translation just happened, we remove it
    language = context.getLanguage()
    canonical = context.getCanonical()
    canonical.removeTranslation(language)
    portal_message = 'Translation cancelled'
    # if there is only canonical left, set it as neutral
    translations = canonical.getTranslations()
    if len(translations) == 1:
        canonical.setLanguage('')
else:
    portal_message = 'Translation edit cancelled'

context.plone_utils.addPortalMessage(context.translate(portal_message))
request.response.redirect(canonical.absolute_url())
